Bug 1270779 - downgrading of local packages has conflicts
downgrading of local packages has conflicts
Status: CLOSED DUPLICATE of bug 1263888
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: rpm-software-management
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-12 07:28 EDT by Harald Reindl
Modified: 2016-07-27 05:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-27 05:34:56 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Harald Reindl 2015-10-12 07:28:36 EDT
PLEASE remove all that deprecated warnings for "yum-deprecated" and "yum-utils", they just lead in annoying cron mails and as long as DNF does not work properly and don't implement yum-utils it's not ready for all usecases
________________________________________________

[root@buildserver:/rpmbuild/RPMS/x86_64]$ dnf downgrade *.rpm
Last metadata expiration check performed 1:11:35 ago on Mon Oct 12 11:49:55 2015.
Package php-intl not installed, cannot downgrade it.
Error: package php-gd-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package php-imap-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package php-opcache-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package php-pdo-mysql-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package php-phar-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package php-xmlrpc-5.5.30-3.fc22.20151012.rh.x86_64 is not installable.
package roundcubemail-1:1.0.7-1.fc22.20151012.rh.noarch requires php-pdo-mysql, but none of the providers can be installed
(try to add '--allowerasing' to command line to replace conflicting packages)
________________________________________________

[root@buildserver:/rpmbuild/RPMS/x86_64]$ yum-deprecated downgrade *.rpm
Yum command has been deprecated, use dnf instead.
See 'man dnf' and 'man yum2dnf' for more information.

Loaded plugins: etckeeper, protectbase, tsflags
Examining php-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-bcmath-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-bcmath-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-cli-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-cli-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-common-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-common-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-devel-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-devel-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-gd-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-gd-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-imap-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-imap-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-intl-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-intl-5.5.30-3.fc22.20151012.rh.x86_64
No Match for available package: php-intl-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-mbstring-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-mbstring-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-opcache-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-opcache-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-pdo-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-pdo-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-pdo-mysql-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-pdo-mysql-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-phar-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-phar-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-process-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-process-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-tidy-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-tidy-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-xml-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-xml-5.5.30-3.fc22.20151012.rh.x86_64
Examining php-xmlrpc-5.5.30-3.fc22.20151012.rh.x86_64.rpm: php-xmlrpc-5.5.30-3.fc22.20151012.rh.x86_64
Resolving Dependencies
--> Running transaction check
---> Package php.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-bcmath.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-bcmath.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-cli.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-cli.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-common.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-common.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-devel.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-devel.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-gd.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-gd.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-imap.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-imap.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-mbstring.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-mbstring.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-opcache.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-opcache.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-pdo.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-pdo.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-pdo-mysql.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-pdo-mysql.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-phar.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-phar.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-process.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-process.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-tidy.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-tidy.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-xml.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-xml.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
---> Package php-xmlrpc.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade
---> Package php-xmlrpc.x86_64 0:5.6.14-2.fc22.20151012.rh will be erased
--> Finished Dependency Resolution
--> Finding unneeded leftover dependencies
Found and removing 0 unneeded dependencies

Dependencies Resolved
Comment 1 Honza Silhan 2015-10-21 09:21:54 EDT
at least attach the packages you have in your local dir + debugdata [1], please.
[1] https://github.com/rpm-software-management/dnf/wiki/Bug-Reporting#dependency-resolution-problem
Comment 2 Harald Reindl 2015-10-21 09:29:14 EDT
the packages are no longer existing in that form and the distupgrade is done (production can't use PHP 5.6 because broken mysql-over-ssl) but it's simple to understand

"package roundcubemail-1:1.0.7-1.fc22.20151012.rh.noarch requires php-pdo-mysql, but none of the providers can be installed"  there is no version dependency, i know that for sure because i wrote the SPEC-file for roundcubemail

yum as all the years says "Package php-pdo.x86_64 0:5.5.30-3.fc22.20151012.rh will be a downgrade" and does the downgrade - the whole handling of "dnf update/downgrade/install *.rpm" don't work relieable all the time
Comment 3 Fedora Admin XMLRPC Client 2016-07-08 05:31:22 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Fedora End Of Life 2016-07-19 14:11:31 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Igor Gnatenko 2016-07-19 18:52:28 EDT
Still no debugdata as requested above.
Comment 6 Harald Reindl 2016-07-20 10:17:17 EDT
first go HERE: https://bugzilla.redhat.com/show_bug.cgi?id=1263888 and tell me who cared about "here are your debugdata (7.44 MB, application/octet-stream)" over many months 

1263888 is even eaisly reproduceable from the very first start dnf was introduced, you just need regulary download new builds with deps from koji and hence deal with local packages - that was never a problem with YUM nor has YUm a problem with --disablerepo=\* as long all deps are satisfied with installed or the local packages in question
Comment 7 Jan Kurik 2016-07-26 01:00:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 8 Igor Gnatenko 2016-07-27 05:34:56 EDT

*** This bug has been marked as a duplicate of bug 1263888 ***

Note You need to log in before you can comment on or make changes to this bug.